static PImage head;

class Asteroid extends FlyingObject {
	Polygon vertices;
	AsteroidFactory.Next next;
	int explodeSound;
        int height;
        int width;
	
    public Asteroid(AsteroidFactory.InitParams options, Polygon vertices, int points, AsteroidFactory.Next next, int explodeSound) {
    	super(options.x, options.y, (int)(vertices.getBounds().width*1.4), (int)(vertices.getBounds().height*1.4), options.dx, options.dy);
    	this.vertices = vertices;
    	this.points = points;
    	this.next = next;
    	this.explodeSound = explodeSound;


        if (head == null) {
            head = loadImage("head.png");
            head.resize(92, 115);
        }
        
        this.height = (int)(vertices.getBounds().height*1.4);
        this.width = (int)(vertices.getBounds().height*1.4*((float)head.width/head.height));
    }

	public boolean intersects(FlyingObject other) {
		if (other instanceof Asteroid) return false;
		return super.intersects(other);
	}
	
	public void collide(FlyingObject other, List add) {
		super.collide(other, add);
		
		sounds.explode(explodeSound);
		//println("blowing up asteroid sized" + this.explodeSound);
		
		if (next != null)
			next.go(this, add);
	}
	
    public void draw() {
        stroke(255);
        noFill();
        translate(x, y);
//        beginShape();
//		for (int i = 0 ; i < vertices.npoints ; i++)
//			vertex(vertices.xpoints[i], vertices.ypoints[i]);
//		endShape(CLOSE);
        image(head, 0, 0, width, height);
    }
}
